project = 'TPLib'
description = 'TP Corona Library 5'
title = 'TPLib Documentation'
style = '!fixed'
use_markdown_titles = true
format = 'markdown'
file = {
    'TPMath.lua',
    'TPNotification.lua',
    'TPTableToDisk.lua',
    'TPSafeCall.lua',
}
sort_modules=true


local coronaUrl = "https://docs.coronalabs.com/api/library/%s/%s.html"

custom_see_handler('^corona/(%w+).(.+)$',function(section, name)
    local url = coronaUrl:format(section,name)
    return section .. "." .. name, url
end)

local coronaTypeUrl = "https://docs.coronalabs.com/api/type/%s/index.html"

custom_see_handler('^CoronaType(%w+)$',function(name)
    local url = coronaTypeUrl:format(name)
    return "Corona " .. name, url
end)

local coronaEventUrl = "https://docs.coronalabs.com/api/event/%s/index.html"

custom_see_handler('^CoronaEvent(%w+)$',function(name)
    local url = coronaEventUrl:format(name)
    return "Corona Event " .. name, url
end)
